import { NestFactory } from '@nestjs/core';
import { FisVerificationModule } from './fis-verification.module';
import { MicroserviceOptions, Transport } from '@nestjs/microservices';
import 'dotenv/config'

async function bootstrap() {
  const host: string = process.env.HOST as unknown as string
  const port: number = process.env.VERIFICATION_TCP_PORT as unknown as number
  const app = await NestFactory.createMicroservice<MicroserviceOptions>(
    FisVerificationModule,
    {
      transport: Transport.TCP,
      options: {
        host: host,
        port: port,
        retryAttempts: 5,
        retryDelay: 3000
      },
    }
  );
  await app.listen();
  console.log(`Application is running on ${host}:${port}`);
}
bootstrap();
