import { Body, Controller, Get, Post } from '@nestjs/common';
import { SampleAppService } from './sample-app.service';
import { EventPattern } from '@nestjs/microservices';

@Controller()
export class SampleAppController {
  constructor(private readonly sampleAppService: SampleAppService) { 
    // logic here
  }

  @Get()
  getHello(): string {
    return this.sampleAppService.getHello();
  }

  @Post()
  sayHelloToFingerprint(@Body() message: string): any {
    return this.sampleAppService.talkToFingerprint(message)
  }

  @EventPattern(`message`)
  sayHello(data: string): void {
    console.log(data)
  }
}
