import { Module } from '@nestjs/common';
import { SampleAppController } from './sample-app.controller';
import { SampleAppService } from './sample-app.service';
import { ClientsModule, Transport } from '@nestjs/microservices';

@Module({
  imports: [
    ClientsModule.register([
      {
        name: `FINGERPRINT_SERVICE`,
        transport: Transport.TCP,
        options: {
          host: `0.0.0.0`,
          port: 3002
        }
      }
    ])
  ],
  controllers: [SampleAppController],
  providers: [SampleAppService],
})
export class SampleAppModule { }
